# First, ignore everything
*
# Now, whitelist anything that's a directory
!*/
# And all the file types you're interested in
!.gitignore
!.githooks/post-merge
!.githooks/post-checkout
!**/.gitignore
!**/.githooks/post-merge
!**/.githooks/post-checkout

## Except
!etc/atb/*
!etc/psa_config/*
!etc/psa_update/*
!etc/psa_tariff/*
!etc/dc/*.hex
!etc/dc/*.bin
!*/etc/*.ini
!*/etc/atb/*
!*/etc/psa_config/*
!*/etc/psa_update/*
!*/etc/psa_tariff/*
!*/etc/dc/*.hex
!*/etc/dc/*.bin

